osl::PtypeFunsSub< T, false > Struct Template Reference

`#include <ptypeTraits.h>`

## Static Public Attributes

static const uint64_t | indexMask =static_cast<uint64_t>(0)
static const Ptype | promotePtype =T
static const Ptype | basicType = PtypeTraits<T>::basicType

## Detailed Description

template<Ptype T>
struct osl::PtypeFunsSub< T, false >

Definition at line 301 of file ptypeTraits.h.

## Member Data Documentation

## basicType

template<Ptype T>

const Ptype osl::PtypeFunsSub< T, false >::basicType = PtypeTraits<T>::basicType

static

Definition at line 306 of file ptypeTraits.h.

## indexMask

template<Ptype T>

const uint64_t osl::PtypeFunsSub< T, false >::indexMask =static_cast<uint64_t>(0)

static

Definition at line 303 of file ptypeTraits.h.

## promotePtype

template<Ptype T>

const Ptype osl::PtypeFunsSub< T, false >::promotePtype =T

static

Definition at line 305 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h